net.sf.jasperreports.engine.export

## Class JExcelApiExporter

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter<RC,C,OutputStreamExporterOutput,E>
  - - net.sf.jasperreports.engine.export.JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>
    - - net.sf.jasperreports.engine.export.JExcelApiExporter

- All Implemented Interfaces:
    JRExporter<ExporterInput,JxlReportConfiguration,JxlExporterConfiguration,OutputStreamExporterOutput>, Exporter<ExporterInput,JxlReportConfiguration,JxlExporterConfiguration,OutputStreamExporterOutput>

  Deprecated.
  To be removed. Use `JRXlsExporter` or `JRXlsxExporter` instead.

      public class JExcelApiExporter
      extends JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>

  Version:
    $Id: JExcelApiExporter.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Manuel Paul (mpaul@ratundtat.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JExcelApiExporter.BoxStyle` Deprecated.
    `protected class` | `JExcelApiExporter.CellTextValueHandler` Deprecated.
    `protected class` | `JExcelApiExporter.ExporterContext` Deprecated.
    `protected class` | `JExcelApiExporter.FormulaTextValueHandler` Deprecated.
    `protected class` | `JExcelApiExporter.StyleInfo` Deprecated.

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `JRXlsAbstractExporter.SheetInfo, JRXlsAbstractExporter.TextAlignHolder`

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `JRAbstractExporter.BaseExporterContext, JRAbstractExporter.PageRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.util.List<JExcelApiLocalHyperlinkInfo>>` | `anchorLinks` Deprecated.
    `protected static jxl.format.Colour` | `BLACK` Deprecated.
    `protected static java.lang.String` | `EMPTY_SHEET_NAME` Deprecated.
    `static java.lang.String` | `JXL_EXPORTER_KEY` Deprecated. The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.
    `protected java.util.Map<java.lang.Integer,java.util.List<JExcelApiLocalHyperlinkInfo>>` | `pageLinks` Deprecated.
    `static java.lang.String` | `PROPERTY_COMPLEX_FORMAT` Deprecated. Replaced by `JxlReportConfiguration.PROPERTY_COMPLEX_FORMAT`.
    `static java.lang.String` | `PROPERTY_USE_TEMP_FILE` Deprecated. Replaced by `JxlExporterConfiguration.PROPERTY_USE_TEMP_FILE`.
    `protected java.util.Map<jxl.format.Colour,jxl.format.RGB>` | `usedColours` Deprecated.
    `protected static jxl.format.Colour` | `WHITE` Deprecated.
    `protected java.util.Map<java.awt.Color,jxl.format.Colour>` | `workbookColours` Deprecated.

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `autoFilterEnd, autoFilterStart, DEFAULT_SHEET_NAME_PREFIX, defaultFont, firstPageNotSet, gridColumnFreezeIndex, gridRowFreezeIndex, invalidCharReplacement, isFreezeColumnEdge, isFreezeRowEdge, keepTemplateSheets, loadedFonts, maxColumnFreezeIndex, maxRowFreezeIndex, nature, onePagePerSheetMap, pageIndex, PROPERTY_AUTO_FILTER, PROPERTY_AUTO_FIT_COLUMN, PROPERTY_AUTO_FIT_ROW, PROPERTY_BREAK_AFTER_ROW, PROPERTY_BREAK_BEFORE_ROW, PROPERTY_CELL_FORMULA, PROPERTY_CELL_HIDDEN, PROPERTY_CELL_LOCKED, PROPERTY_CELL_PATTERN, PROPERTY_COLUMN_WIDTH, PROPERTY_COLUMN_WIDTH_RATIO, PROPERTY_FIRST_PAGE_NUMBER, PROPERTY_FIT_HEIGHT, PROPERTY_FIT_WIDTH, PROPERTY_FREEZE_COLUMN, PROPERTY_FREEZE_COLUMN_EDGE, PROPERTY_FREEZE_ROW, PROPERTY_FREEZE_ROW_EDGE, PROPERTY_IGNORE_ANCHORS, PROPERTY_IGNORE_HYPERLINK, PROPERTY_IMAGE_ANCHOR_TYPE, PROPERTY_PAGE_SCALE, PROPERTY_ROW_OUTLINE_LEVEL_PREFIX, PROPERTY_SHEET_DIRECTION, PROPERTY_SHEET_FOOTER_CENTER, PROPERTY_SHEET_FOOTER_LEFT, PROPERTY_SHEET_FOOTER_RIGHT, PROPERTY_SHEET_HEADER_CENTER, PROPERTY_SHEET_HEADER_LEFT, PROPERTY_SHEET_HEADER_RIGHT, PROPERTY_SHEET_NAME, PROPERTY_SHOW_GRIDLINES, PROPERTY_USE_TIMEZONE, PROPERTY_WORKBOOK_TEMPLATE, PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS, PROPERTY_WRAP_TEXT, reportIndex, sheetIndex, sheetNames, sheetNamesIndex, sheetNamesMap, sheetsBeforeCurrentReport, sheetsBeforeCurrentReportMap, workbookTemplate, XLS_EXPORTER_PROPERTIES_PREFIX`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `allSelector, crtCompositeConfiguration, crtCompositeItemConfiguration, crtItem, dateFormatCache, EXCEPTION_MESSAGE_KEY_END_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_START_PAGE_INDEX_OUT_OF_RANGE, exporterConfiguration, exporterContext, exporterInput, exporterOutput, filter, itemConfiguration, jasperPrint, jasperReportsContext, noBackcolorSelector, noneSelector, numberFormatCache, parameters, propertiesUtil, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, styledTextUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JExcelApiExporter()` Deprecated.
    `JExcelApiExporter(JasperReportsContext jasperReportsContext)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBlankCell(JRExporterGridCell gridCell, int colIndex, int rowIndex)` Deprecated.
    `protected void` | `addCell(int x, int y, JRPrintText text, java.lang.String textStr, JExcelApiExporter.StyleInfo baseStyle)` Deprecated.
    `protected void` | `addMergeRegion(JRExporterGridCell gridCell, int x, int y)` Deprecated.
    `protected void` | `addOccupiedCell(OccupiedGridCell occupiedGridCell, int colIndex, int rowIndex)` Deprecated.
    `protected void` | `closeWorkbook(java.io.OutputStream os)` Deprecated.
    `protected void` | `createSheet(CutsInfo xCuts, JRXlsAbstractExporter.SheetInfo sheetInfo)` Deprecated.
    `protected jxl.format.Colour` | `determineWorkbookColour(java.awt.Color awtColor)` Deprecated.
    `protected void` | `exportFrame(JRPrintFrame frame, JRExporterGridCell gridCell, int col, int row)` Deprecated.
    `protected void` | `exportGenericElement(JRGenericPrintElement element, JRExporterGridCell gridCell, int colIndex, int rowIndex, int emptyCols, int yCutsRow, JRGridLayout layout)` Deprecated.
    `void` | `exportHyperlink(JRPrintHyperlink link, java.lang.String description, JRExporterGridCell gridCell, int col, int row)` Deprecated.
    `protected void` | `exportHyperlink(java.lang.String href, int col, int row, int lastCol, int lastRow)` Deprecated.
    `void` | `exportImage(JRPrintImage element, JRExporterGridCell gridCell, int col, int row, int emptyCols, int yCutsRow, JRGridLayout layout)` Deprecated.
    `protected void` | `exportLine(JRPrintLine line, JRExporterGridCell gridCell, int col, int row)` Deprecated.
    `protected void` | `exportRectangle(JRPrintGraphicElement element, JRExporterGridCell gridCell, int col, int row)` Deprecated.
    `void` | `exportText(JRPrintText text, JRExporterGridCell gridCell, int col, int row)` Deprecated.
    `protected static jxl.format.BorderLineStyle` | `getBorderLineStyle(JRPen pen)` Deprecated.
    `protected double` | `getColumnRelativePosition(JRGridLayout layout, int col, int offset)` Deprecated.
    `protected java.lang.Class<JxlExporterConfiguration>` | `getConfigurationInterface()` Deprecated.
    `protected jxl.write.DateFormat` | `getDateFormat(java.lang.String convertedPattern)` Deprecated.
    `protected jxl.write.biff.CellValue` | `getDetectedCellValue(int x, int y, JRPrintText textElement, TextValue textValue, JExcelApiExporter.StyleInfo baseStyle, boolean complexFormat)` Deprecated.
    `java.lang.String` | `getExporterKey()` Deprecated.
    `java.lang.String` | `getExporterPropertiesPrefix()` Deprecated. Returns the properties prefix for the current exporter.
    `protected jxl.write.biff.CellValue` | `getFormulaCellValue(int x, int y, JRPrintText textElement, TextValue textValue, java.lang.String formula, JExcelApiExporter.StyleInfo baseStyle, boolean complexFormat)` Deprecated.
    `protected java.lang.Class<JxlReportConfiguration>` | `getItemConfigurationInterface()` Deprecated.
    `protected jxl.write.biff.CellValue` | `getLabelCell(int x, int y, java.lang.String textStr, JExcelApiExporter.StyleInfo baseStyle)` Deprecated.
    `protected jxl.write.WritableCellFormat` | `getLoadedCellStyle(JExcelApiExporter.StyleInfo styleKey)` Deprecated.
    `protected static jxl.format.Colour` | `getNearestColour(java.awt.Color awtColor)` Deprecated.
    `protected jxl.write.NumberFormat` | `getNumberFormat(java.lang.String convertedPattern, boolean isComplexFormat)` Deprecated.
    `protected double` | `getRowRelativePosition(JRGridLayout layout, int row, int offset)` Deprecated.
    `static JRXlsAbstractExporter.TextAlignHolder` | `getTextAlignHolder(JRPrintText textElement)` Deprecated.
    `protected jxl.format.Colour` | `getWorkbookColour(java.awt.Color awtColor)` Deprecated.
    `protected jxl.format.Colour` | `getWorkbookColour(java.awt.Color awtColor, boolean isBackcolor)` Deprecated.
    `protected void` | `initCustomPalette()` Deprecated.
    `protected void` | `initExport()` Deprecated.
    `protected void` | `initReport()` Deprecated.
    `protected boolean` | `isComplexFormat(JRPrintElement element)` Deprecated.
    `protected void` | `openWorkbook(java.io.OutputStream os)` Deprecated.
    `protected static int` | `rgbDistance(java.awt.Color awtColor, jxl.format.RGB rgb)` Deprecated.
    `protected void` | `setAnchorType(jxl.write.WritableImage image, ImageAnchorTypeEnum anchorType)` Deprecated.
    `protected void` | `setAutoFilter(java.lang.String autoFilterRange)` Deprecated.
    `protected void` | `setColourUsed(jxl.format.Colour colour)` Deprecated.
    `protected void` | `setColourUsed(jxl.format.Colour colour, java.awt.Color reportColour)` Deprecated.
    `protected void` | `setColumnWidth(int col, int width, boolean autoFit)` Deprecated.
    `protected void` | `setFreezePane(int rowIndex, int colIndex, boolean isRowEdge, boolean isColumnEdge)` Deprecated. Creates a freeze pane for the current sheet.
    `protected void` | `setRowHeight(int rowIndex, int lastRowHeight, Cut yCut, XlsRowLevelInfo levelInfo)` Deprecated.
    `protected void` | `setRowLevels(XlsRowLevelInfo levelInfo, java.lang.String level)` Deprecated.
    `protected void` | `setScale(java.lang.Integer scale)` Deprecated.
    `protected void` | `setSheetName(java.lang.String sheetName)` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `calculateHeightForDinAN, calculateHeightForDinBN, calculateHeightForDinCN, calculateWidthForDinAN, calculateWidthForDinBN, calculateWidthForDinCN, ensureOutput, exportPage, exportReport, exportReportToStream, exportSheet, getColumnIndex, getColumnName, getConvertedPattern, getDefaultFont, getFormula, getImageBorderCorrection, getNature, getSheetProps, getStyledText, getWorkbookTemplate, hasGlobalSheetNames, isCellHidden, isCellLocked, isUseTimeZone, isValidScale, isWorkbookTemplateKeepSheets, isWrapText, mergeAndSetRowLevels, resetAutoFilters, setColumnWidths, setFreezePane, setSheetNames, setWorkbookTemplate, setWorkbookTemplateKeepSheets, translateDateValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `createFilter, defaultParseNumber, ensureInput, ensureJasperReportsContext, getBooleanCellValue, getCurrentConfiguration, getCurrentItemConfiguration, getCurrentJasperPrint, getCustomHandler, getDateCellValue, getDateFormat, getExporterContext, getExporterInput, getExporterOutput, getHyperlinkProducer, getJasperReportsContext, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getPageRange, getParameter, getParameters, getPropertiesUtil, getReportContext, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setConfiguration, setConfiguration, setCurrentExporterInputItem, setExporterInput, setExporterOutput, setFrameElementsOffset, setJasperPrint, setJasperReportsContext, setOffset, setOffset, setParameter, setParameters, setReportContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_USE_TEMP_FILE

          public static final java.lang.String PROPERTY_USE_TEMP_FILE

      Deprecated. Replaced by `JxlExporterConfiguration.PROPERTY_USE_TEMP_FILE`.
      See Also:
        Constant Field Values

    - #### PROPERTY_COMPLEX_FORMAT

          public static final java.lang.String PROPERTY_COMPLEX_FORMAT

      Deprecated. Replaced by `JxlReportConfiguration.PROPERTY_COMPLEX_FORMAT`.
      See Also:
        Constant Field Values

    - #### JXL_EXPORTER_KEY

          public static final java.lang.String JXL_EXPORTER_KEY

      Deprecated.
      The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.
      See Also:
        Constant Field Values

    - #### WHITE

          protected static final jxl.format.Colour WHITE

      Deprecated.

    - #### BLACK

          protected static final jxl.format.Colour BLACK

      Deprecated.

    - #### EMPTY_SHEET_NAME

          protected static final java.lang.String EMPTY_SHEET_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### workbookColours

          protected java.util.Map<java.awt.Color,jxl.format.Colour> workbookColours

      Deprecated.

    - #### usedColours

          protected java.util.Map<jxl.format.Colour,jxl.format.RGB> usedColours

      Deprecated.

    - #### anchorLinks

          protected java.util.Map<java.lang.String,java.util.List<JExcelApiLocalHyperlinkInfo>> anchorLinks

      Deprecated.

    - #### pageLinks

          protected java.util.Map<java.lang.Integer,java.util.List<JExcelApiLocalHyperlinkInfo>> pageLinks

      Deprecated.

  - ### Constructor Detail

    - #### JExcelApiExporter

          public JExcelApiExporter()

      Deprecated.
      See Also:
        `JExcelApiExporter(JasperReportsContext)`

    - #### JExcelApiExporter

          public JExcelApiExporter(JasperReportsContext jasperReportsContext)

      Deprecated.

  - ### Method Detail

    - #### getConfigurationInterface

          protected java.lang.Class<JxlExporterConfiguration> getConfigurationInterface()

      Deprecated.
      Specified by:
        `getConfigurationInterface` in class `JRAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,OutputStreamExporterOutput,JExcelApiExporterContext>`

    - #### getItemConfigurationInterface

          protected java.lang.Class<JxlReportConfiguration> getItemConfigurationInterface()

      Deprecated.
      Specified by:
        `getItemConfigurationInterface` in class `JRAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,OutputStreamExporterOutput,JExcelApiExporterContext>`

    - #### initExport

          protected void initExport()

      Deprecated.
      Overrides:
        `initExport` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### initReport

          protected void initReport()

      Deprecated.
      Overrides:
        `initReport` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### initCustomPalette

          protected void initCustomPalette()

      Deprecated.

    - #### setColourUsed

          protected void setColourUsed(jxl.format.Colour colour)

      Deprecated.

    - #### setColourUsed

          protected void setColourUsed(jxl.format.Colour colour,
                           java.awt.Color reportColour)

      Deprecated.

    - #### openWorkbook

          protected void openWorkbook(java.io.OutputStream os)
                               throws JRException

      Deprecated.
      Specified by:
        `openWorkbook` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### createSheet

          protected void createSheet(CutsInfo xCuts,
                         JRXlsAbstractExporter.SheetInfo sheetInfo)

      Deprecated.
      Specified by:
        `createSheet` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### closeWorkbook

          protected void closeWorkbook(java.io.OutputStream os)
                                throws JRException

      Deprecated.
      Specified by:
        `closeWorkbook` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### setColumnWidth

          protected void setColumnWidth(int col,
                            int width,
                            boolean autoFit)

      Deprecated.
      Specified by:
        `setColumnWidth` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### setRowHeight

          protected void setRowHeight(int rowIndex,
                          int lastRowHeight,
                          Cut yCut,
                          XlsRowLevelInfo levelInfo)
                               throws JRException

      Deprecated.
      Specified by:
        `setRowHeight` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### addBlankCell

          protected void addBlankCell(JRExporterGridCell gridCell,
                          int colIndex,
                          int rowIndex)
                               throws JRException

      Deprecated.
      Specified by:
        `addBlankCell` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### addOccupiedCell

          protected void addOccupiedCell(OccupiedGridCell occupiedGridCell,
                             int colIndex,
                             int rowIndex)
                                  throws JRException

      Deprecated.
      Specified by:
        `addOccupiedCell` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### exportLine

          protected void exportLine(JRPrintLine line,
                        JRExporterGridCell gridCell,
                        int col,
                        int row)
                             throws JRException

      Deprecated.
      Specified by:
        `exportLine` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### exportRectangle

          protected void exportRectangle(JRPrintGraphicElement element,
                             JRExporterGridCell gridCell,
                             int col,
                             int row)
                                  throws JRException

      Deprecated.
      Specified by:
        `exportRectangle` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### exportText

          public void exportText(JRPrintText text,
                        JRExporterGridCell gridCell,
                        int col,
                        int row)
                          throws JRException

      Deprecated.
      Specified by:
        `exportText` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### exportHyperlink

          public void exportHyperlink(JRPrintHyperlink link,
                             java.lang.String description,
                             JRExporterGridCell gridCell,
                             int col,
                             int row)
                               throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### exportHyperlink

          protected void exportHyperlink(java.lang.String href,
                             int col,
                             int row,
                             int lastCol,
                             int lastRow)
                                  throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### addCell

          protected void addCell(int x,
                     int y,
                     JRPrintText text,
                     java.lang.String textStr,
                     JExcelApiExporter.StyleInfo baseStyle)
                          throws jxl.write.WriteException,
                                 jxl.write.biff.RowsExceededException,
                                 JRException

      Deprecated.
      Throws:
        `jxl.write.WriteException`
        `jxl.write.biff.RowsExceededException`
        `JRException`

    - #### getFormulaCellValue

          protected jxl.write.biff.CellValue getFormulaCellValue(int x,
                                                     int y,
                                                     JRPrintText textElement,
                                                     TextValue textValue,
                                                     java.lang.String formula,
                                                     JExcelApiExporter.StyleInfo baseStyle,
                                                     boolean complexFormat)
                                                          throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### getDetectedCellValue

          protected jxl.write.biff.CellValue getDetectedCellValue(int x,
                                                      int y,
                                                      JRPrintText textElement,
                                                      TextValue textValue,
                                                      JExcelApiExporter.StyleInfo baseStyle,
                                                      boolean complexFormat)
                                                           throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### getNumberFormat

          protected jxl.write.NumberFormat getNumberFormat(java.lang.String convertedPattern,
                                               boolean isComplexFormat)

      Deprecated.

    - #### getDateFormat

          protected jxl.write.DateFormat getDateFormat(java.lang.String convertedPattern)

      Deprecated.

    - #### getLabelCell

          protected jxl.write.biff.CellValue getLabelCell(int x,
                                              int y,
                                              java.lang.String textStr,
                                              JExcelApiExporter.StyleInfo baseStyle)
                                                   throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### addMergeRegion

          protected void addMergeRegion(JRExporterGridCell gridCell,
                            int x,
                            int y)
                                 throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### exportImage

          public void exportImage(JRPrintImage element,
                         JRExporterGridCell gridCell,
                         int col,
                         int row,
                         int emptyCols,
                         int yCutsRow,
                         JRGridLayout layout)
                           throws JRException

      Deprecated.
      Specified by:
        `exportImage` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### getColumnRelativePosition

          protected double getColumnRelativePosition(JRGridLayout layout,
                                         int col,
                                         int offset)

      Deprecated.

    - #### getRowRelativePosition

          protected double getRowRelativePosition(JRGridLayout layout,
                                      int row,
                                      int offset)

      Deprecated.

    - #### getWorkbookColour

          protected jxl.format.Colour getWorkbookColour(java.awt.Color awtColor,
                                            boolean isBackcolor)

      Deprecated.

    - #### getWorkbookColour

          protected jxl.format.Colour getWorkbookColour(java.awt.Color awtColor)

      Deprecated.

    - #### determineWorkbookColour

          protected jxl.format.Colour determineWorkbookColour(java.awt.Color awtColor)

      Deprecated.

    - #### getNearestColour

          protected static jxl.format.Colour getNearestColour(java.awt.Color awtColor)

      Deprecated.

    - #### rgbDistance

          protected static int rgbDistance(java.awt.Color awtColor,
                        jxl.format.RGB rgb)

      Deprecated.

    - #### getLoadedCellStyle

          protected jxl.write.WritableCellFormat getLoadedCellStyle(JExcelApiExporter.StyleInfo styleKey)
                                                             throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### getBorderLineStyle

          protected static jxl.format.BorderLineStyle getBorderLineStyle(JRPen pen)

      Deprecated.

    - #### getTextAlignHolder

          public static JRXlsAbstractExporter.TextAlignHolder getTextAlignHolder(JRPrintText textElement)

      Deprecated.

    - #### exportFrame

          protected void exportFrame(JRPrintFrame frame,
                         JRExporterGridCell gridCell,
                         int col,
                         int row)
                              throws JRException

      Deprecated.
      Specified by:
        `exportFrame` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### exportGenericElement

          protected void exportGenericElement(JRGenericPrintElement element,
                                  JRExporterGridCell gridCell,
                                  int colIndex,
                                  int rowIndex,
                                  int emptyCols,
                                  int yCutsRow,
                                  JRGridLayout layout)
                                       throws JRException

      Deprecated.
      Specified by:
        `exportGenericElement` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Throws:
        `JRException`

    - #### getExporterKey

          public java.lang.String getExporterKey()

      Deprecated.
      Specified by:
        `getExporterKey` in class `JRAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,OutputStreamExporterOutput,JExcelApiExporterContext>`

    - #### getExporterPropertiesPrefix

          public java.lang.String getExporterPropertiesPrefix()

      Deprecated.
      Description copied from class: `JRAbstractExporter`
      Returns the properties prefix for the current exporter.
      Specified by:
        `getExporterPropertiesPrefix` in class `JRAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,OutputStreamExporterOutput,JExcelApiExporterContext>`
      Returns:
        the properties prefix for the current exporter

    - #### isComplexFormat

          protected boolean isComplexFormat(JRPrintElement element)

      Deprecated.

    - #### setFreezePane

          protected void setFreezePane(int rowIndex,
                           int colIndex,
                           boolean isRowEdge,
                           boolean isColumnEdge)

      Deprecated.
      Creates a freeze pane for the current sheet. Freeze pane row and column indexes defined at element level override indexes defined at report level. If multiple row freeze indexes are found in the same sheet, their maximum value is considered.
      Specified by:
        `setFreezePane` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`
      Parameters:
        `rowIndex` - the freeze 0-based row index
        `colIndex` - the freeze 0-based column index
        `isRowEdge` - specifies if the freeze row index is set at element level
        `isColumnEdge` - specifies if the freeze column index is set at element level

    - #### setSheetName

          protected void setSheetName(java.lang.String sheetName)

      Deprecated.
      Specified by:
        `setSheetName` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### setAutoFilter

          protected void setAutoFilter(java.lang.String autoFilterRange)

      Deprecated.
      Specified by:
        `setAutoFilter` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### setRowLevels

          protected void setRowLevels(XlsRowLevelInfo levelInfo,
                          java.lang.String level)

      Deprecated.
      Specified by:
        `setRowLevels` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### setScale

          protected void setScale(java.lang.Integer scale)

      Deprecated.
      Specified by:
        `setScale` in class `JRXlsAbstractExporter<JxlReportConfiguration,JxlExporterConfiguration,JExcelApiExporterContext>`

    - #### setAnchorType

          protected void setAnchorType(jxl.write.WritableImage image,
                           ImageAnchorTypeEnum anchorType)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com